package com.zj365.health.adapter.healthrecord

import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.network.model.HealthReportListBean
import com.zj365.health.R

class HealthRecordsAdapter : BaseAdapter<HealthReportListBean.HealthReportBean>(R.layout.item_health_report_record) {


    override fun convert(holder: BaseViewHolder, item: HealthReportListBean.HealthReportBean) {

        holder.setText(R.id.tv_report_title,item.title)
        holder.setText(R.id.tv_report_time,item.reportTime)
        when(item.reportType){
            1->{
                holder.setText(R.id.tv_report_type,"体检")
            }
            2->{
                holder.setText(R.id.tv_report_type,"病例")
            }
            else->{
                holder.setText(R.id.tv_report_type,"CT或其他影像")

            }
        }


        var imgAdapter = HealthRecordsChildAdapter()
        var recycler = holder.getView<RecyclerView>(R.id.recycler)

        recycler.adapter = imgAdapter
        recycler.layoutManager = LinearLayoutManager(context,LinearLayoutManager.HORIZONTAL,false)
    }
}