package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.HealthReportListBean
import com.xty.network.model.RespBody

class HealthRecordsListVm : BaseVm() {

    val healthReportListLiveData by lazy { MutableLiveData<RespBody<HealthReportListBean>>() }

    fun getHealthRecordList(){
        startHttp {
            var response = apiInterface().getHealthReportList()
            response.getCodeStatus(healthReportListLiveData, nowData)
        }
    }
}